/** -*- c++ -*- **************************************************************
 **
 ** Copyright 2014 Daniel Paschka (daniel@drachenschuppe.de)
 **
 ** Licensed under the Apache License, Version 2.0 (the "License");
 ** you may not use this file except in compliance with the License.
 ** You may obtain a copy of the License at
 **
 ** http://www.apache.org/licenses/LICENSE-2.0
 **
 ** Unless required by applicable law or agreed to in writing, software
 ** distributed under the License is distributed on an "AS IS" BASIS,
 ** WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 ** See the License for the specific language governing permissions and
 ** limitations under the License.
 *****************************************************************************/

#ifndef _GDBBACKEND_H
#define _GDBBACKEND_H

#include <iostream>

class targetif;

class gdbbackend
{
protected:
	class targetif *tgt;
	std::iostream *ios;
	void send(const char *fmt, ...);
	int dollarCmd(char *cmd, size_t len);

public:
	gdbbackend(std::iostream *ios, targetif *tgt);
	void run();
};

#endif // _GDBBACKEND_H
